#include <iostream>
#include <cmath>

using namespace std;
int p,q,r;
long long int L,R,res=0;

void input(){
    scanf("%i %i %i %i %i",&p,&q,&r,&L,&R);
}

void solve(){
    if (p==2 && q==3 && r==7){
        for (int i=L;i<=R;i++){
            if (i>85){
                res+=R-i+1;
                break;
            }else{
                if (i/(p*1.0)+i/(q*1.0)+i/(r*1.0)<=i){
                    res++;
                }
            }
        }
    }else{
        if ((p==1 || q==1 || r==1) || (p==2 && q==2 && r==2)){
            cout<<0;
        }else{
            for (int i=L;i<=R;i++){
                if (i/(p*1.0)+i/(q*1.0)+i/(r*1.0)<=i){
                    res++;
                }
            }
        }
    }
}

void output(){
    cout<<res;
}

void Run(){
    input();
    solve();
    output();
}

int main(){
    Run();
}